summaryrefslogtreecommitdiff
path: root/packages/backend/src/server/api/endpoints/admin (follow)
Commit message (Collapse)AuthorAgeFilesLines
* split url into webUrl and localUrl (like mastodon)Freya Murphy4 days1-1/+1
|
* fix: review fixes (#17208)かっこかり4 days1-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | * fix: OAuthのContent-Typeを正しく判定するように * fix(frontend): fix outdated comments * fix: storagePersistenceのtop-level awaitを解消 * fix * fix(frontend): add comment Co-Authored-By: anatawa12 <anatawa12@icloud.com> * fix * fix: rename `users/get-following-users-by-birthday` * fix: fix types * Update MkForm.vue * refactor utility/storage.ts --------- Co-authored-by: anatawa12 <anatawa12@icloud.com> Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* fix(backend): inconsistent permissions for /admin/get-user-ips (#17136)Ken_Cir2026-01-311-1/+1
| | | | | * fix(backend): inconsistent permissions for /admin/get-user-ips * Update Changelog
* refactor(frontend): anyを除去2 (#17092)かっこかり2026-01-142-5/+18
| | | | | | | * wip * fix types * fix
* refactor: make noImplicitAny true (#17083)syuilo2026-01-092-34/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * Update emojis.emoji.vue * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * Update manager.ts * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * wip * Update analytics.ts
* fix(frontend): popupのemit型が正しく利用できるように修正 ↵かっこかり2026-01-091-33/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | (#16826) * fix(frontend): popupのemit型が正しく利用できるように修正 * fix: revert unnecessary code (for testing purpose) * fix lint * fix type errors * fix types * add comment * fix * fix * fix: OverloadToUnionの仕組みを変更 * add comments, clean up * fix lint * fix types * clean up [ci skip] * fix * add comments [ci skip]
* enable and fix no-unused-vars and no-async-promise-executor (#17070)anatawa122026-01-083-3/+3
| | | | | | | | | * dev: set --no-bail for lint task * lint: enable no-async-promise-executor lint and fix them * lint: enable no-unused-vars with allowing _ prefix * lint: fix semi
* fix: ↵おさむのひと2025-12-202-14/+6
| | | | admin/queue/deliver-delayedとadmin/queue/inbox-delayedの応答速度を改善 (#17009)
* perf(backend): lazy load systeminformationsyuilo2025-12-181-1/+2
| | | | systeminformationを必要とする機能を有効にしていないサーバーで無駄に読み込まれることが無いように
* enhance: ↵かっこかり2025-10-162-0/+10
| | | | | | | | | リモートユーザーのロールバッジを表示するかどうかをサーバー管理者が設定できるように (#16661) * enhance: リモートユーザーのロールバッジを表示するかどうかをサーバー管理者が設定できるように * Update Changelog * build misskey-js with types
* feat: scheduled post (#16577)syuilo2025-09-262-1/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * Update NoteDraft.ts * Update NoteDraft.ts * wip * Update CHANGELOG.md * wip * Update PostScheduledNoteProcessorService.ts * Update PostScheduledNoteProcessorService.ts * Update Notification.ts * wip * Update NoteDraftService.ts * Update NoteDraftService.ts * Update NoteDraftService.ts * wip * Create 1758677617888-scheduled-post.js * Update index.d.ts * Update stats.ts * wip * wip * wip * wip * wip * Update MkNotification.vue * wip * wip * wip * Update NoteDraftService.ts * Update NoteDraftService.ts * wip * wip * Update NoteDraftEntityService.ts * wip * Update index.d.ts * Update MkPostForm.vue * wip * wip * wip * Update NoteCreateService.ts * wip * wip * wip * Update NoteDraftEntityService.ts * Update NoteCreateService.ts * Update NoteDraftService.ts * wip * Update NoteDraftService.ts * wip * wip * Update MkPostForm.vue * wip * Update MkPostForm.vue * Update os.ts * wip * Update MkNoteDraftsDialog.vue
* enhance: 広告ごとにセンシティブフラグを設定できるようにsyuilo2025-09-143-0/+6
|
* refactor(frontend): ↵かっこかり2025-09-131-6/+15
| | | | | | | | | | | | | | | | | フロントエンドの型エラー解消(途中まで) (#16539) * fix(frontend): FormLinkをボタンとして使用した際にエラーが出る問題を修正 * refactor(frontend): フロントエンドの型エラー解消 * remove unused ts-expect-error * migrate * remove unrelated changes * fix lint * more type fixes
* refactorsyuilo2025-08-281-0/+2
|
* json schemaに誤りがあるのを修正syuilo2025-08-271-0/+4
|
* refactorsyuilo2025-08-271-0/+16
|
* refactorsyuilo2025-08-261-0/+28
|
* feat: ↵syuilo2025-08-192-0/+10
| | | | 非ログイン時に表示されるトップページのスタイルを選択できるように
* Fix: SystemWebhook設定でsecretを空に出来ない問題を修正 (#16371)Sayamame-beans2025-08-082-4/+2
| | | | | | | * fix(backend): allow system-webhook secret to be empty * docs(changelog): update changelog * chore: run build-misskey-js-with-types
* enhance: ジョブのログを表示できるようにsyuilo2025-08-011-0/+45
|
* feat: remote notes cleaning (#16292)syuilo2025-08-012-0/+30
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * Create CleanRemoteNotesProcessorService.ts * Update CleanRemoteNotesProcessorService.ts * Update CleanRemoteNotesProcessorService.ts * wip * Update CleanRemoteNotesProcessorService.ts * Update CleanRemoteNotesProcessorService.ts * Update CleanRemoteNotesProcessorService.ts * Update CleanRemoteNotesProcessorService.ts * Update CleanRemoteNotesProcessorService.ts * Update CleanRemoteNotesProcessorService.ts * Update CleanRemoteNotesProcessorService.ts * Update CleanRemoteNotesProcessorService.ts * Update job-queue.job.vue * wip * Update CleanRemoteNotesProcessorService.ts * wip * wip * wip * Update CleanRemoteNotesProcessorService.ts * wip * Update CHANGELOG.md * Revert "wip" This reverts commit 89d455d302c1106c421bcec309fd7bf02509465e. * wip * woip * Update QueueService.ts * Update QueueService.ts * ピン留め考慮 * Update CleanRemoteNotesProcessorService.ts * Update QueueService.ts * Update CleanRemoteNotesProcessorService.ts * add log * Update CHANGELOG.md * wip * Update MkServerSetupWizard.vue
* feat: モデログを検索できるようにsyuilo2025-06-281-5/+12
|
* enhance: ↵syuilo2025-06-289-8/+26
| | | | ページネーション(一覧表示)の基準日時を指定できるように sinceId/untilIdが指定可能なエンドポイントにおいて、sinceDate/untilDateも指定可能に
* fix(backend): ↵おさむのひと2025-05-311-1/+1
| | | | | | | ジョブキュー画面のPausedタブをアクティブにすると400エラーが返ってくるのを修正 (#16124) * fix(backend): ジョブキュー画面のPausedタブをアクティブにすると400エラーが返ってくるのを修正 * fix CHANGELOG.md
* feat: ↵おさむのひと2025-05-272-0/+10
| | | | | | | | | URLプレビューのリダイレクトを受け入れるかどうかを設定できるようにする (#16112) * feat: URLプレビューのリダイレクトを受け入れるかどうかを設定できるようにする * fix CHANGELOG.md * fix lang
* fix(backend): correct invalid schema format specifying only `required` for ↵zyoshoka2025-05-272-42/+60
| | | | | | | `anyOf` (#16089) * fix(backend): correct invalid schema format specifying only `required` for `anyOf` * refactor(backend): make types derived from `allOf` or `anyOf` more strong
* fix(backend): ↵かっこかり2025-05-231-0/+2
| | | | | | | admin側のエンドポイントで作成した招待コードに作成者の情報が記録されない問題を修正 (#16076) * fix(backend): admin側のエンドポイントで作成した招待コードに作成者の情報が記録されない問題を修正 * Update Changelog
* fix(frontend): ジョブキューインスペクタの型エラー解消 ↵かっこかり2025-05-224-5/+167
| | | | | | | | | | | | | (#16020) * fix(frontend): ジョブキューインスペクタの型エラー解消 * fix * fix * fix * fix
* enhance: ↵syuilo2025-05-122-0/+30
| | | | | | | | | | | | | | | | | いくつかの設定ファイルの項目をコントロールパネルで設定するように (#16026) * wip * Update CHANGELOG.md * feat: migrate to existing config value (#16030) * wip * Update CHANGELOG.md --------- Co-authored-by: anatawa12 <anatawa12@icloud.com>
* Feat: サーバー初期設定ウィザード (#15954)syuilo2025-05-092-0/+10
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * wip * Update welcome.setup.vue * wip * wip * wip * wip * Update MkServerSetupWizard.vue * Update MkServerSetupWizard.vue * wip * wip * wip * Update types.ts * wip * wip * Update CHANGELOG.md
* Feat: UGCの公開範囲設定機能 (#15938)syuilo2025-05-092-0/+14
| | | | | | | | | | | * wip * Update CHANGELOG.md * wip * wip * Update show.ts
* Block deliver by software (#15727)anatawa122025-05-012-0/+34
| | | | | | | | | | | | | | | | | | | | | | | | | * feat(backend): suspend instance by software * feat(frontend): suspend instance by software * docs(chaangelog): 連合先のソフトウェア及びバージョン名により配信停止を行えるようになりました * chore: 例で使うバージョン名を変える * fix: broken lockfile * fix: broken lock file * fix broken lock file * update changelog * fix dependencies * Update CHANGELOG.md --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* feat: Job queue inspector (#15856)syuilo2025-04-199-81/+266
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * wip * Update job-queue.vue * wip * wip * Update job-queue.vue * wip * Update job-queue.vue * wip * Update QueueService.ts * Update QueueService.ts * Update QueueService.ts * Update job-queue.vue * wip * wip * wip * Update job-queue.vue * wip * Update MkTl.vue * wip * Update index.vue * wip * wip * Update MkTl.vue * 🎨 * jobs search * wip * Update job-queue.vue * wip * wip * Update job-queue.vue * Update job-queue.vue * Update job-queue.vue * Update job-queue.vue * wip * Update job-queue.job.vue * wip * wip * wip * Update MkCode.vue * wip * Update job-queue.job.vue * wip * Update job-queue.job.vue * Update misskey-js.api.md * Update CHANGELOG.md * Update job-queue.job.vue
* enhance: ↵syuilo2025-04-161-4/+7
| | | | コントロールパネルでジョブキューをクリアできるように
* Copy role on move (#15745)anatawa122025-04-032-0/+3
| | | | | | | | | | | | | | | | | | | | | * feat(backend): copyOnMoveAccount * feat(endpoints): copyOnMoveAccount * feat(frontend): copyOnMoveAccount * docs(changelog): アカウントのマイグレーション時に古いアカウントからロールをコピーできるようになりました。 * fix: spdx header for migration * Update locales/ja-JP.yml * copyOnMoveAccount -> preserveAssignmentOnMoveAccount * fix: check for preserveAssignmentOnMoveAccount --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* enhance: チャットルームに招待されたときの通知を追加syuilo2025-03-251-0/+1
|
* refactor(backend): better prop namesyuilo2025-03-2217-17/+17
|
* enhance(backend): refine system account (#15530)syuilo2025-03-026-20/+79
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * wip * wip * Update SystemAccountService.ts * Update 1740121393164-system-accounts.js * Update DeleteAccountService.ts * wip * wip * wip * wip * Update 1740121393164-system-accounts.js * Update RepositoryModule.ts * wip * wip * wip * Update ApRendererService.ts * wip * wip * Update SystemAccountService.ts * fix tests * fix tests * fix tests * fix tests * fix tests * fix tests * add print logs * ログが長すぎて出てないかもしれない * fix migration * refactor * fix fed-tests * Update RelayService.ts * merge * Update user.test.ts * chore: emit log * fix: tweak sleep duration * fix: exit 1 * fix: wait for misskey processes to become healthy * fix: longer sleep for user deletion * fix: make sleep longer again * デッドロック解消の試み https://github.com/misskey-dev/misskey/issues/15005 * Revert "デッドロック解消の試み" This reverts commit 266141f66fb584371bbb56ef7eba04e14bcff94d. * wip * Update SystemAccountService.ts --------- Co-authored-by: おさむのひと <46447427+samunohito@users.noreply.github.com> Co-authored-by: zyoshoka <107108195+zyoshoka@users.noreply.github.com>
* fix(backend): ↵Esurio/1673beta2025-02-261-1/+1
| | | | | | | | | | | | | | | S3_SAFEかつURL_SAFEでない文字列をprefixに使えないように (#15455) * fix(backend): S3_SAFEかつURL_SAFEでない文字列をprefixに使えないように * update CHANGELOG * fix validation * fix: remove unused import --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* feat: google analytics (#15451)syuilo2025-02-252-0/+12
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip backend * wip frontend * build misskey-js * implement control panel * fix * introduce analytics wrapper * spdx * Update analytics.ts * Update common.ts * wip * wip * wip * wip * wip * Update CHANGELOG.md --------- Co-authored-by: kakkokari-gtyih <67428053+kakkokari-gtyih@users.noreply.github.com>
* fix(backend): correct `admin/meta` response schema (#15434)zyoshoka2025-02-091-0/+1
|
* feat: 新カスタム絵文字管理画面(β)の追加 (#13473)おさむのひと2025-01-203-12/+29
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * wip * wip * wip * wip * wip * wip * wip * wip * fix * fix * fix * fix size * fix register logs * fix img autosize * fix row selection * support delete * fix border rendering * fix display:none * tweak comments * support choose pc file and drive file * support directory drag-drop * fix * fix comment * support context menu on data area * fix autogen * wip イベント整理 * イベントの整理 * refactor grid * fix cell re-render bugs * fix row remove * fix comment * fix validation * fix utils * list maximum * add mimetype check * fix * fix number cell focus * fix over 100 file drop * remove log * fix patchData * fix performance * fix * support update and delete * support remote import * fix layout * heightやめる * fix performance * add list v2 endpoint * support pagination * fix api call * fix no clickable input text * fix limit * fix paging * fix * fix * support search * tweak logs * tweak cell selection * fix range select * block delete * add comment * fix * support import log * fix dialog * refactor * add confirm dialog * fix name * fix autogen * wip * support image change and highlight row * add columns * wip * support sort * add role name * add index to emoji * refine context menu setting * support role select * remove unused buttons * fix url * fix MkRoleSelectDialog.vue * add route * refine remote page * enter key search * fix paste bugs * fix copy/paste * fix keyEvent * fix copy/paste and delete * fix comment * fix MkRoleSelectDialog.vue and storybook scenario * fix MkRoleSelectDialog.vue and storybook scenario * add MkGrid.stories.impl.ts * fix * [wip] add custom-emojis-manager2.stories.impl.ts * [wip] add custom-emojis-manager2.stories.impl.ts * wip * 課題はまだ残っているが、ひとまず完了 * fix validation and register roles * fix upload * optimize import * patch from dev * i18n * revert excess fixes * separate sort order component * add SPDX * revert excess fixes * fix pre test * fix bugs * add type column * fix types * fix CHANGELOG.md * fix lit * lint * tweak style * refactor * fix ci * autogen * Update types.ts * CSS Module化 * fix log * 縦スクロールを無効化 * MkStickyContainer化 * regenerate locales index.d.ts * fix * fix * テスト * ランダム値によるUI変更の抑制 * テスト * tableタグやめる * fix last-child css * fix overflow css * fix endpoint.ts * tweak css * 最新への追従とレイアウト微調整 * ソートキーの指定方法を他と合わせた * fix focus * fix layout * v2エンドポイントのルールに対応 * 表示条件などを微調整 * fix MkDataCell.vue * fix error code * fix error * add comment to MkModal.vue * Update index.d.ts * fix CHANGELOG.md * fix color theme * fix CHANGELOG.md * fix CHANGELOG.md * fix center * fix: テーブルにフォーカスがあり、通常状態であるときはキーイベントの伝搬を止める * fix: ロール選択用のダイアログにてコンディショナルロールを×ボタンで除外できなかったのを修正 * fix remote list folder * sticky footers * chore: fix ci error(just single line-break diff) * fix loading * fix like * comma to space * fix ci * fix ci * removed align-center --------- Co-authored-by: osamu <46447427+sam-osamu@users.noreply.github.com> Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com> Co-authored-by: Sayamame-beans <61457993+Sayamame-beans@users.noreply.github.com>
* feat(frontend): ↵おさむのひと2025-01-142-0/+199
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Botプロテクションの設定変更時は実際に検証を通過しないと保存できないようにする (#15151) * feat(frontend): CAPTCHAの設定変更時は実際に検証を通過しないと保存できないようにする * なしでも保存できるようにした * fix CHANGELOG.md * フォームが増殖するのを修正 * add comment * add server-side verify * fix ci * fix * fix * fix i18n * add current.ts * fix text * fix * regenerate locales * fix MkFormFooter.vue --------- Co-authored-by: syuilo <4439005+syuilo@users.noreply.github.com>
* Fix(backend): ↵zawa-ch.2024-11-192-3/+3
| | | | | | | アカウント削除のモデレーションログが動作していないのを修正 (#14996) (#14997) * アカウント削除のモデレーションログが動作していないのを修正 * update CHANGELOG
* fix(backend): ↵饺子w (Yumechi)2024-11-191-2/+3
| | | | | | | | | | | | | | | | お知らせ作成時に画像URL入力欄を空欄に変更できないのを修正 (#14990) * fix(backend): アナウンスメントを作成ときに画像URLを後悔できないのを修正 Signed-off-by: eternal-flame-AD <yume@yumechi.jp> * Update CHANGELOG.md Co-authored-by: おさむのひと <46447427+samunohito@users.noreply.github.com> --------- Signed-off-by: eternal-flame-AD <yume@yumechi.jp> Co-authored-by: おさむのひと <46447427+samunohito@users.noreply.github.com>
* enhance: アイコンデコレーション管理画面の改善syuilo2024-10-282-4/+56
|
* feat: ↵syuilo2024-10-132-0/+10
| | | | | | | | | | | | | リモートサーバーのサーバー情報を収集しないオプション (#14634) * wip * wip * Update FetchInstanceMetadataService.ts * Update FetchInstanceMetadataService.ts * Update types.ts
* feat: ユーザーの名前に禁止ワードを設定できるように ↵かっこかり2024-10-132-0/+16
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | (#14756) * wip * :art: * Enhance: モデレーター以上は制限の影響を受けないように * refactor * better error handling * fix * Revert "better error handling" This reverts commit 5670b29cfa18a3894d0c2abfe0e5ef862e3b9ffa. * error handling * エラーが出ないのを修正 * translation * Update Changelog * status code * :v: * モデレーター以上は影響ないことを明記 * :art: * update changelog * spdx * Update update.ts * refactor * eliminate `screen name` * remove untracked file --------- Co-authored-by: KanariKanaru <93921745+kanarikanaru@users.noreply.github.com>
* wip (#14745)syuilo2024-10-112-0/+10
|
* feat(backend): ↵おさむのひと2024-10-111-2/+2
| | | | | | | | | | | | | | | | | | | | | 7日間運営のアクティビティがないサーバを自動的に招待制にする (#14746) * feat(backend): 7日間運営のアクティビティがないサーバを自動的に招待制にする * fix RoleService. * fix * fix * fix * add test and fix * fix * fix CHANGELOG.md * fix test